Name: debmirror
Version: 20070123
Release: alt1

Summary: Debian partial mirror script, with ftp and package pool support

License: GPL
Group: Networking/Other
Url: http://packages.debian.org/sid/debmirror

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.de.debian.org/debian/pool/main/d/debmirror/debmirror_%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Sun May 24 2009 (-bi)
BuildRequires: perl-Digest-SHA1 perl-LockFile-Simple perl-Log-Agent perl-libwww

%description
This program downloads and maintains a partial local Debian mirror. It can
mirror any combination of architectures, distributions and sections. Files
are transferred by ftp, http, hftp or rsync, and package pools are fully
supported. It also does locking and updates trace files.

%prep
%setup -n %name-%version -q
echo <<EOF > README.ALT
Download example for Jaunty distro:
#!/bin/bash -x
debmirror --nosource -m --passive --host=mirror.yandex.ru \
       --root=ubuntu --method=http --progress \
       --dist=jaunty,jaunty-security,jaunty-updates,jaunty-backports,jaunty-proposed \
       --ignore-release-gpg --section=main,restricted,multiverse,universe \
       --arch=i386 ./download-dir

Also you can set this params in /etc/debmirror.conf

EOF

%install
install -D -m 0755 debmirror %buildroot%_bindir/debmirror
mkdir -p %buildroot%_man1dir/
pod2man debmirror | gzip -9 -c > %buildroot%_man1dir/debmirror.1.gz
install -D -m 0644 debmirror.conf %buildroot%_sysconfdir/debmirror.conf.example

%files
%doc doc/design.txt debian/NEWS.Debian debian/changelog debian/copyright README.ALT
%_bindir/%name
%_sysconfdir/%name.conf.example
%_man1dir/*

%changelog
* Sun May 24 2009 Vitaly Lipatov <lav@altlinux.ru> 20070123-alt1
- initial build for ALT Linux Sisyphus
